package main

import "fmt"
import "os"
import "bufio"
import "strings"

func printMap(mappa map[string]int) {
	for i,v := range(mappa) {
		fmt.Println(i, "->", v )
	}
}

func splitWords(s string) []string {
	var runes []rune = []rune(s)
	var result []string
	var lasti int

	for i, _ := range runes { //for every position
		if runes[i] == ' ' {
			result = append(result, string(runes[lasti:i]))
			lasti = i+1
		}
	}

	result = append(result, string(runes[lasti:len(runes)]))
	return result
}

func countWords(words []string) map[string]int {
	var result map[string]int = make(map[string]int)
	
	for _, v := range(words) {
		result[v]++
	}
	
	return result
}

func main() {
	reader := bufio.NewReader(os.Stdin)
	
	for {
		fmt.Println("insert a phrase: ")
		text, _ := reader.ReadString('\n')
		
		if text == "\n" {
			fmt.Println("byebye")
			return
		}
		
		text = strings.TrimSuffix(text, "\n")
		
		var words []string =  splitWords(text)
		var countwords map[string]int = countWords(words)
		
		printMap(countwords)
	}
}
